/*
 * Class COLLECTION [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_763 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_763 [] = {0xFF01,237,762,209,0xFFFF};
static const EIF_TYPE_INDEX egt_2_763 [] = {0xFF01,762,209,0xFFFF};
static const EIF_TYPE_INDEX egt_3_763 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_763 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_763 [] = {0xFF01,762,209,0xFFFF};
static const EIF_TYPE_INDEX egt_6_763 [] = {0xFF01,762,209,0xFFFF};
static const EIF_TYPE_INDEX egt_7_763 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_763 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_763 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_763 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_763 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_763 [] = {762,209,0xFFFF};
static const EIF_TYPE_INDEX egt_13_763 [] = {0xFF01,762,209,0xFFFF};
static const EIF_TYPE_INDEX egt_14_763 [] = {0xFF01,758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_763 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_763[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_763), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_763), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_763), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_763), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_763), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_763), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_763), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_763), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_763), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_763), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_763), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_763), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_763), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_763), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1916, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1917, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1918, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_763), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_763), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1962, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1963, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1964, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
};
void Init763(void)
{
	IDSC(desc_763, 0, 762);
	IDSC(desc_763 + 1, 1, 762);
	IDSC(desc_763 + 32, 77, 762);
	IDSC(desc_763 + 41, 282, 762);
}


#ifdef __cplusplus
}
#endif
